Bug 8530 - Вернуть ссылки на XPCOM, Gecko, NSS в /usr/lib
: Вернуть ссылки на XPCOM, Gecko, NSS в /usr/lib
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/mozilla)
: unstable
: all Linux
: P1 blocker
Assigned To:
:
:
:
:
: 8513
  Show dependency tree
 
Reported: 2005-11-20 16:25 by
Modified: 2006-11-06 22:46 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-11-20 16:25:55
Многим клиентам, зависящим от библиотек Mozilla, нужно находить эти библиотеки
без изменения путей поиска загрузчика по умолчанию. Удаление ссылок на
библиотеки из /usr/lib, натурально, мешает этому. Использование rpath внешними
клиентами имеет свои весомые недостатки.

При условии, что NSPR удается выделить в отдельную разделяемую библиотеку,
остаются потерянными следующие компоненты:

Gecko (libgtkembedmoz.so и др.)
XPCOM (libxpcom.so)
NSS (libnss3.so, libssl3.so, libsmime3.so, libsoftokn3.so)

Если NSPR выделить в разумный промежуток времени не удастся, добавляется:

NSPR (libnspr4.so libplc4.so libplds4.so)

Следует заметить, что на время создания этого бага используемые клиентами
библиотеки должны быть совместимы с теми API, которые клиенты используют в
Mozilla Suite.
То есть единственным реалистичным вариантом представляется восстановление
ссылок на библиотеки в /usr/lib/mozilla.
Steps to Reproduce:
1. Обновить пакеты до mozilla-1.7.12-alt3 и yelp-2.12.1-alt1
2. Запустить yelp.
------- Comment #1 From 2005-11-21 13:03:14 -------
1. http://sisyphus.ru/srpm/nspr
2. http://sisyphus.ru/srpm/libgecko (пакет orphaned из-за того, что был конфликт
с старой мозилой)
3. http://sisyphus.ru/srpm/xulrunner

Не хватает только libnss, но его обещал собрать legion@

На мой взгляд осмысленным будет вернуть из orphaned libgecko, и собрать
самостоятельно или в кооперации с legion@ libnss. 
------- Comment #2 From 2005-11-21 13:40:25 -------
(In reply to comment #1)
> Не хватает только libnss, но его обещал собрать legion@

Баг будет закрыт, когда в /usr/lib вернется NSS.
------- Comment #3 From 2005-11-21 13:42:23 -------
(In reply to comment #2)
> Баг будет закрыт, когда в /usr/lib вернется NSS.

И Gecko. То есть _все_, перечисленное в описании.

------- Comment #4 From 2005-11-23 13:43:28 -------
Все перечисленное не вернется - есть конфликт на nspr.

NSS я сегодня постараюсь залить в Sisyphus
libGecko - все вопросы к Виталию Липатову, если он не захочет вести пакет - я
подумаю над тем чтобы его забрать.
------- Comment #5 From 2005-11-23 14:35:53 -------
(In reply to comment #4)
> libGecko - все вопросы к Виталию Липатову, если он не захочет вести пакет - я
> подумаю над тем чтобы его забрать.

Об этом надо было думать, когда ломали mozilla.

В конце концов, есть решение, позволяющее развести различные требования:
http://lists.altlinux.org/pipermail/devel/2005-November/026575.html

Все передовые проекты будут жить в подкаталогах и активно пользоваться
LD_LIBRARY_PATH.
------- Comment #6 From 2005-11-23 15:01:16 -------
Я НЕ ДОЖЕН об этом думать, ибо это не мои пакеты... Их много и им мешает один
мой, далеко не самый популярный, пакет...

Учитывая что новая версия Epiphany переехала на сборку с Mozilla Firefox как
предполагается размещать библиотеки Mozilla Suite и Mozilla Firefox чтобы
хорошо
было всем?

Предлагаю еще раз закрыть эту тему, в виду ее абсолютной бесперспективности  и
желающим собирать в пакет стартовый скрипт как в письме, на которое дана
ссылка,
с выставленной LD_LIBRARY_PATH в нужную версию Mozilla...
------- Comment #7 From 2005-11-23 15:32:59 -------
(In reply to comment #6)
> Я НЕ ДОЖЕН об этом думать, ибо это не мои пакеты...

С таким подходом к делу не стоит брать на себя сопровождение пакета в рабочем
(не экспериментальном) дистрибутиве.

> Учитывая что новая версия Epiphany переехала на сборку с Mozilla Firefox как
> предполагается размещать библиотеки Mozilla Suite и Mozilla Firefox чтобы хорошо
> было всем?

С Epiphany проблемы нет: у нее есть скрипт run-mozilla.sh или похожий, где можно
поставить LD_LIBRARY_PATH=/usr/lib/firefox MOZILLA_FIVE_HOME=/usr/lib/firefox

> Предлагаю еще раз закрыть эту тему, в виду ее абсолютной бесперспективности

Баг будет закрыт, когда в Sisyphus приедет NMU с восстановленными ссылками. И
конфликтом на libnspr и libnss. По-другому у нас, увы, не получается.

> желающим собирать в пакет стартовый скрипт как в письме, на которое дана ссылка,
> с выставленной LD_LIBRARY_PATH в нужную версию Mozilla...

У многих пакетов не предусмотрено стартовых скриптов. Чем серьезно их корежить,
лучше дорабатывать скрипты в приложениях mozilla.org, благо эти пакеты у вас и
так подвергаются серьезной переработке.
------- Comment #8 From 2005-11-23 15:43:58 -------
Похоже вы не умеете читать. 
Я не должен думать о пакетах, мантейнером которых не являюсь.
Зависимыми пакетами без старт скриптов являются yelp и evolution, конфликтующими
являются nspr и libgecko, которые и нужны собственно yelp и evolution, а не
mozilla. Я не понимаю почему такая простая мысль не доходит до Вас. NMU для
mozilla на таком основании я не допущу, ибо мне проще сделать NMU для yelp и
evolution, если их мантейнеры не способны сами решить этот вопрос.

PS: и с каких это пор Sisyphus стал стабильным и рабочим дистрибутивом? Для М24
и Compact использовались версии без убирания ссылок из /usr/lib
------- Comment #9 From 2005-11-24 01:10:16 -------
(In reply to comment #8)
> Зависимыми пакетами без старт скриптов являются yelp и evolution, конфликтующими
> являются nspr и libgecko, которые и нужны собственно yelp и evolution, а не
> mozilla.

libgecko пока что нигде не "является". Как и libnss, которая тоже нужна evolution.
Еще вы забыли о следующих пакетах, которые в настоящий момент требуют XPCOM или
Gecko:
libdevhelp
swt-mozilla
ruby-gtkmozembed
python-module-pygnome-gtkmozembed
liferea-mozilla

> PS: и с каких это пор Sisyphus стал стабильным и рабочим дистрибутивом? Для М24
> и Compact использовались версии без убирания ссылок из /usr/lib

Вы что-то путаете. Дистрибутив для экспериментов у нас называется Daedalus.
------- Comment #10 From 2005-11-24 12:22:27 -------
> Вы что-то путаете. Дистрибутив для экспериментов у нас называется Daedalus.
Его стоило применить, вот только сейчас у нас не freeze и требовать этого --
нельзя.  Идите в официальные источники и просветитесь про назначение Sisyphus,
что ли.

Женя, если при изменениях предполагается ломание кучи пакетов -- всяко лучше
заранее забросить штормовое предупреждение в devel@, чтобы люди смогли
посмотреть (вероятно, при помощи сборки в Daedalus, на people или ещё где), что
светит, и либо выкатить текущую сборку, у которой будет 20 недель жизни на
разруливание ситуации с BuildRequires, либо сразу поправить.

both: easy :-)
------- Comment #11 From 2005-11-24 14:48:31 -------
Дело в том, что "быстрое" решение ситуации было свернуто NMU alt2.1, т.е. я
готов был уже заливать следующую версию, которая бы собиралась с системным
libnspr, но решил не мешать выкладыванию новой eclips, ради которой Михаил так
долго ломал копья в спорах... Но eclips не нуждается в runtime mozilla, а
остальные пакеты так или иначе дождуться завершения цикла изменения сборки
mozilla
------- Comment #12 From 2005-11-24 15:35:29 -------
Миш, не нужно меня добавлять в СС ... мне хватит копии как QA :) 
------- Comment #13 From 2005-12-22 00:57:04 -------
Fixed in 1.7.12-alt3.2.